FreeMat

- Main Page
- Related Pages

vtkTimerLog

Section: Visualization Toolkit Common Classes

# Usage

vtkTimerLog contains walltime and cputime measurements associated with a given event. These results can be later analyzed when "dumping out" the table.

In addition, vtkTimerLog allows the user to simply get the current time, and to start/stop a simple timer separate from the timing table logging.

To create an instance of class vtkTimerLog, simply invoke its constructor as follows

      obj = vtkTimerLog

# Methods

The class vtkTimerLog has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTimerLog class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTimerLog = obj.NewInstance ()`
- `vtkTimerLog = obj.SafeDownCast (vtkObject o)`
- `obj.StartTimer ()` - Set the StartTime to the current time. Used with GetElapsedTime().
- `obj.StopTimer ()` - Sets EndTime to the current time. Used with GetElapsedTime().
- `double = obj.GetElapsedTime ()` - Returns the difference between StartTime and EndTime as a doubleing point value indicating the elapsed time in seconds.